# Interface LocalVariableInfo

public sealed interface LocalVariableInfo
Models a single local variable in the `LocalVariableTableAttribute`.

See Java Virtual Machine Specification:
  4.7.13 The `LocalVaribleTable` Attribute
Since:
  24
See Also:
  - `LocalVariableTableAttribute.localVariables()`
  - `LocalVariable`

## Method Summary

Modifier and Type
Method
Description
`int`
`length()`
Returns the length of the region of the code array in which this variable is in scope.
`Utf8Entry`
`name()`
Returns the name of the local variable.
`int`
`slot()`
Returns the index into the local variable array of the current frame which holds this local variable.
`int`
`startPc()`
Returns the index into the code array, inclusive, at which the scope of this variable begins.
`Utf8Entry`
`type()`
Returns the field descriptor string of the local variable.
`default ClassDesc`
`typeSymbol()`
Returns the field descriptor of the local variable.

## Method Details

### startPc

int startPc()
Returns the index into the code array, inclusive, at which the scope of this variable begins.

Returns:
  the index into the code array, inclusive, at which the scope of this variable begins

### length

int length()
Returns the length of the region of the code array in which this variable is in scope.

Returns:
  the length of the region of the code array in which this variable is in scope

### name

Utf8Entry name()
Returns the name of the local variable.

Returns:
  the name of the local variable

### type

Utf8Entry type()
Returns the field descriptor string of the local variable.

Returns:
  the field descriptor string of the local variable

### typeSymbol

default ClassDesc typeSymbol()
Returns the field descriptor of the local variable.

Returns:
  the field descriptor of the local variable

### slot

int slot()
Returns the index into the local variable array of the current frame which holds this local variable.

Returns:
  the index into the local variable array of the current frame which holds this local variable